---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.getsequelizemodelattributes'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.getsequelizemodelattributes.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [getSequelizeModelAttributes](./sequelize.sequelizecrudrepository.getsequelizemodelattributes.md)

## SequelizeCrudRepository.getSequelizeModelAttributes() method

Get Sequelize Model Attributes

**Signature:**

```typescript
protected getSequelizeModelAttributes(definition: {
        [name: string]: PropertyDefinition;
    }): ModelAttributes<SequelizeModel, Attributes<SequelizeModel>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  definition | { \[name: string\]: PropertyDefinition; } | property definition received from loopback entityClass eg. <code>{ id: { type: &quot;Number&quot;, id: true } }</code> |

**Returns:**

ModelAttributes&lt;SequelizeModel, Attributes&lt;SequelizeModel&gt;&gt;

model attributes supported in sequelize model definiotion

TODO: Verify all possible loopback types https://loopback.io/doc/en/lb4/LoopBack-types.html


